#ifndef IZ_APP_H
#define IZ_APP_H

#include "input/IZ_keyboard.h"
#include "input/IZ_joystick.h"
#include "output/IZ_video.h"
#include "IZ_action.h"

typedef struct {
	IZ_VideoConfig video_config;

	IZ_Action actions[PLAYERS];
	IZ_KeyboardState keyboard_state[PLAYERS];
	IZ_JoystickState joystick_state[PLAYERS];

	uint64_t video_update_at;
} IZ_App;

int IZ_InitializeApp(IZ_App*);

#endif
