#ifndef IZ_MOCK_H
#define IZ_MOCK_H

#define mock_call_count_t uint8_t

#define mock(X) static mock_call_count_t calls_##X = 0;

#define mock_return(X) calls_##X += 1; return

#define mock_reset(X) calls_##X = 0

#define mock_calls(X) ((mock_call_count_t) (calls_##X))

#endif
