#include "IZ_app.h"

int IZ_InitializeApp(IZ_App* app) {
	IZ_LoadVideoConfig(&app->video_config);
	IZ_SaveVideoConfig(&app->video_config);
	app->video_update_at = 0u;

	for (uint8_t p = 0; p < PLAYERS; p += 1) {
		IZ_LoadKeyboardConfig(&app->keyboard_state->config, p);
		IZ_SaveKeyboardConfig(&app->keyboard_state->config, p);

		IZ_LoadJoystickConfig(&app->joystick_state->config, p);
		IZ_SaveJoystickConfig(&app->joystick_state->config, p);

		app->actions[p] = 0;
	}

	return 0;
}
